package moe.lava.neon.core

import com.russhwolf.settings.Settings
import com.russhwolf.settings.nullableString
import dev.zacsweers.metro.AppScope
import dev.zacsweers.metro.Inject
import dev.zacsweers.metro.SingleIn

@SingleIn(AppScope::class)
@Inject
class AppSettings {
    private val settings = Settings()

    var fingerprint by settings.nullableString()
    var token by settings.nullableString()
}
